/***************************************************************************
 *   Copyright (C) 2005 by Hannes Hauswedell                               *
 *   soul.rebel@web.de                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KPORTSPREF_H_
#define _KPORTSPREF_H_

#include <iostream>
#include <string>

#include <kdialogbase.h>
#include <kiconloader.h>
#include <klocale.h>
#include <kurlrequester.h>
#include <kcombobox.h>
#include <kconfigskeleton.h>

#include <qframe.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qstring.h>
#include <qsizepolicy.h>
#include <qdatetime.h>
#include <qdatetimeedit.h>
#include <qslider.h>
#include <qiconview.h>

//#include "prefpage1base.h"
//#include "prefpage2base.h"
#include "kportsprefbase.h"
#include "kportsview.h"
#include "bsdport.h"

//class KPortsPrefPageOne;
//class KPortsPrefPageTwo;

class KPortsPreferences : public KPortsPrefBase
{
    Q_OBJECT
public slots:
    virtual void UpdateSettings();
    virtual void newIconSelected();
    virtual void osChanged();
    virtual void platformChanged();
    virtual void generatePaths();
public:
    	KPortsPreferences();
	
	QIconViewItem *first, *second, *third, *fourth;
	
//	KPortsPrefPageOne *m_pageOne;
// 	KPortsPrefPageTwo *m_pageTwo;
//	QBoxLayout layout(this, QBoxLayout::LeftToRight);
private:
	QStringList *mirrors;
	QStringList mirrors_fbsd_ports;
    
};

class KPortsPrefConfig : public KConfigSkeleton
{
public:
	KPortsPrefConfig(KSharedConfig::Ptr config);

};

#endif // _KPORTSPREF_H_
